%{?mingw_package_header}

%global name1 libxml++

Name:           mingw-%{name1}
Version:        2.40.1
Release:        %mkrel 4
Summary:        MinGW Windows C++ wrapper for the libxml2 XML parser library

Group:          Development/Other
License:        LGPLv2+
URL:            http://libxmlplusplus.sourceforge.net/
Source:         https://download.gnome.org/sources/libxml++/2.40/libxml++-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-libxml2 >= 2.6.1
BuildRequires:  mingw64-libxml2 >= 2.6.1
BuildRequires:  mingw32-glibmm24 >= 2.4.0
BuildRequires:  mingw64-glibmm24 >= 2.4.0
BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw64-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-gettext

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library.

%package -n mingw32-%{name1}
Summary:        MinGW Windows C++ wrapper for the libxml2 XML parser library
Requires:       pkgconfig

%description -n mingw32-%{name1}
libxml++ is a C++ wrapper for the libxml2 XML parser library.

%package -n mingw64-%{name1}
Summary:        MinGW Windows C++ wrapper for the libxml2 XML parser library
Requires:       pkgconfig

%description -n mingw64-%{name1}
libxml++ is a C++ wrapper for the libxml2 XML parser library.

%{?mingw_debug_package}

%prep
%setup -q -n %{name1}-%{version}

%build
%{mingw_configure} --disable-static --disable-documentation
%{mingw_make} %{?_smp_mflags}


%install
%{mingw_make} install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{mingw64_docdir}
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.la


%files -n mingw32-%{name1}
%license COPYING
%doc AUTHORS NEWS README ChangeLog
%{mingw32_bindir}/libxml++-2.6-2.dll
%{mingw32_includedir}/*
%{mingw32_libdir}/libxml++-2.6.dll.a
%{mingw32_libdir}/pkgconfig/*
%dir %{mingw32_libdir}/%{name1}-2.6
%dir %{mingw32_libdir}/%{name1}-2.6/include
%{mingw32_libdir}/%{name1}-2.6/include/*.h

%files -n mingw64-%{name1}
%license COPYING
%doc AUTHORS NEWS README ChangeLog
%{mingw64_bindir}/libxml++-2.6-2.dll
%{mingw64_includedir}/*
%{mingw64_libdir}/libxml++-2.6.dll.a
%{mingw64_libdir}/pkgconfig/*
%dir %{mingw64_libdir}/%{name1}-2.6
%dir %{mingw64_libdir}/%{name1}-2.6/include
%{mingw64_libdir}/%{name1}-2.6/include/*.h




%changelog
* Sat Sep 26 2020 tv <tv> 2.40.1-4.mga8
+ Revision: 1630211
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 2.40.1-3.mga8
+ Revision: 1492092
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.40.1-2.mga7
+ Revision: 1264430
- Mageia 7 Mass Rebuild

* Tue Apr 05 2016 tv <tv> 2.40.1-1.mga6
+ Revision: 998514
- new release
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.36.0-5.mga5
+ Revision: 749421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.36.0-4.mga5
+ Revision: 682494
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 2.36.0-3.mga4
+ Revision: 547560
- imported package mingw-libxml++

